package adminserviceparam

import "git.gocasts.ir/ebhomengo/niki/entity"

type RegisterRequest struct {
	FirstName   *string             `json:"first_name" example:"miaad"`
	LastName    *string             `json:"last_name" example:"shahi"`
	Password    *string             `json:"password" example:"Abc123456"`
	PhoneNumber *string             `json:"phone_number" example:"09183723447"`
	Role        *entity.AdminRole   `json:"role" example:"2"`
	Description *string             `json:"description" example:"this is a description"`
	Email       *string             `json:"email" example:"miaad.66@gmail.com"`
	Gender      *entity.Gender      `json:"gender" example:"male"`
	Status      *entity.AdminStatus `json:"status" example:"active"`
}

type RegisterResponse struct {
	Data        Data              `json:"data"`
	FieldErrors map[string]string `json:"field_errors,omitempty"`
}
