package adminkindboxreqparam

import entity "git.gocasts.ir/ebhomengo/niki/entity"

type KindBoxReqAddRequest struct {
	BenefactorID     uint               `json:"benefactor_id" example:"1"`
	KindBoxType      entity.KindBoxType `json:"kind_box_type" example:"on-table"`
	DeliverAddressID uint               `json:"deliver_address_id" example:"1"`
	DeliverReferDate string             `json:"deliver_refer_date" example:"2025-01-02 15:04:05"`
	CountRequested   uint               `json:"count_requested" example:"2"`
}

type KindBoxReqAddResponse struct {
	Data        Data              `json:"data"`
	FieldErrors map[string]string `json:"field_errors,omitempty"`
}
